com.r3corda.node.services.network / NetworkMapService / RegistrationRequest

# RegistrationRequest

`class RegistrationRequest : NetworkMapRequestMessage`

### Constructors

<init> | `RegistrationRequest(wireReg: WireNodeRegistration, replyTo: MessageRecipients, sessionID: Long)`

### Properties

sessionID | `val sessionID: Long`
wireReg | `val wireReg: WireNodeRegistration`

### Inherited Properties

replyTo | `val replyTo: MessageRecipients`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`